/*
 * Generated by asn1c-0.9.29 (http://lionet.info/asn1c)
 * From ASN.1 module "Ieee1609Dot3Wee"
 * 	found in "../Ieee1609Dot3Wee.asn"
 * 	`asn1c -fcompound-names -gen-PER`
 */

#ifndef	_GatewayMacAddress_H_
#define	_GatewayMacAddress_H_


#include <asn_application.h>

/* Including external dependencies */
#include "MACaddress.h"

#ifdef __cplusplus
extern "C" {
#endif

/* GatewayMacAddress */
typedef MACaddress_t	 GatewayMacAddress_t;

/* Implementation */
extern asn_TYPE_descriptor_t asn_DEF_GatewayMacAddress;
asn_struct_free_f GatewayMacAddress_free;
asn_struct_print_f GatewayMacAddress_print;
asn_constr_check_f GatewayMacAddress_constraint;
ber_type_decoder_f GatewayMacAddress_decode_ber;
der_type_encoder_f GatewayMacAddress_encode_der;
xer_type_decoder_f GatewayMacAddress_decode_xer;
xer_type_encoder_f GatewayMacAddress_encode_xer;
per_type_decoder_f GatewayMacAddress_decode_uper;
per_type_encoder_f GatewayMacAddress_encode_uper;

#ifdef __cplusplus
}
#endif

#endif	/* _GatewayMacAddress_H_ */
#include <asn_internal.h>
